public class MySoundCollage {
  
  public static void main(String [] args){
    
    FileChooser.setMediaPath("D:/cs1316/MediaSources/");
    Sound snap = new Sound(FileChooser.getMediaPath("snap-tenth.wav"));
    Sound drum = new Sound(FileChooser.getMediaPath("drumroll-1.wav"));
    Sound clink = new Sound(FileChooser.getMediaPath("clink-tenth.wav"));    
    Sound clap = new Sound(FileChooser.getMediaPath("clap-q.wav"));
    
    Sound drumRev = drum.reverse().scale(0.5);
    Sound soundA = snap.append(clink).append(clink).append(clap).append(drumRev);
    Sound soundB = clink.append(clap).append(clap).append(drum).append(snap).append(snap);
    
    Sound collage = soundA.append(soundB).append(soundB).append(soundA).append(soundA).append(soundB);
    collage.play();
  }
}
